Loading...
Searching...
No Matches
basis_on_pointset_evaluate.icc File Reference

Go to the source code of this file.

## Namespaces

namespace | rheolef
| This file is part of Rheolef.
namespace | rheolef::details

## Macros

#define | _RHEO_BASIS_ON_POINTSET_EVALUATE_H

## Functions

template<class Basis , class T , class Value >
void | basis_on_pointset_evaluate (const Basis &b, const reference_element &hat_K, const Eigen::Matrix< point_basic< T >, Eigen::Dynamic, 1 > &hat_x, Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > &vdm)
template<class Basis , class T , class Value >
void | basis_on_pointset_grad_evaluate (const Basis &b, const reference_element &hat_K, const Eigen::Matrix< point_basic< T >, Eigen::Dynamic, 1 > &hat_x, Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > &vdm_grad)
template<class Basis , class T , class Value >
void | basis_on_pointset_evaluate_on_side (const Basis &b, const reference_element &tilde_K, const side_information_type &sid, const Eigen::Matrix< point_basic< T >, Eigen::Dynamic, 1 > &hat_x, Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > &vdm)

## Macro Definition Documentation

## _RHEO_BASIS_ON_POINTSET_EVALUATE_H

#define _RHEO_BASIS_ON_POINTSET_EVALUATE_H

Definition at line 2 of file basis_on_pointset_evaluate.icc.